Get models
GET/v2/textcraft/models
List the LLM models you can pass to a Textcraft request. Optionally filter by name or release date to find the model that fits.
Request
Query Parameters
Filter models released on or before this date (ISO 8601 format)
Filter models released on or after this date (ISO 8601 format)
Responses
- 200
- 400
- 401
- 403
- 429
- 500
- 504
List of available models.
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
[
{
"name": "string",
"releasedAt": "2024-07-29T15:51:28.071Z",
"imageInputSupported": true
}
]
Bad Request
- application/json
- Schema
- Example (from schema)
Schema
Available only when the message includes additional error details.
{
"message": "string",
"statusCode": 0,
"error": "string"
}
Unauthorized
- application/json
- Schema
- Example (from schema)
Schema
Available only when the message includes additional error details.
{
"message": "string",
"statusCode": 0,
"error": "string"
}
Forbidden
- application/json
- Schema
- Example (from schema)
Schema
Available only when the message includes additional error details.
{
"message": "string",
"statusCode": 0,
"error": "string"
}
Too Many Requests
- application/json
- Schema
- Example (from schema)
Schema
Available only when the message includes additional error details.
{
"message": "string",
"statusCode": 0,
"error": "string"
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
Schema
Available only when the message includes additional error details.
{
"message": "string",
"statusCode": 0,
"error": "string"
}
Gateway Timeout
- application/json
- Schema
- Example (from schema)
Schema
Available only when the message includes additional error details.
{
"message": "string",
"statusCode": 0,
"error": "string"
}